BRAWCHANNEL(1)

NAME
brawchannel - Barry Project's program to create a channel to a BlackBerry application

SYNOPSIS
brawchannel [-h][-p pin][-P pass][-v] <channel name>

DESCRIPTION

brawchannel is a tool for connecting to an application channel on a BlackBerry device, as provided to on device programs by the net.rim.device.api.system.USBPort API. Data received on the channel will be output to STDOUT and any data received on STDIN in will be sent over the channel. Any errors or verbose output will be written to STDERR. The channel name provided to this program should be the same as the channel name passed to the call to net.rim.device.api.system.USBPort.registerChannel

OPTIONS

-h  Display a command help summary.

-p pin
    Specifies the PIN number of the device with which you wish to communicate, when multiple devices are connected.

-P password
    A simplistic method to specify the device password.

-v  Verbose debug output. This enables dumping of USB bus scanning, as well as the protocol packets used during communication. This will cause libusb to output information on STDOUT, which will usually be undesirable. Setting the environment variable USB_DEBUG to 0, 1 or 2 should prevent any addition output on STDOUT.

AUTHOR
brawchannel was initially written for the Barry project by RealVNC Ltd., based on bjavaloader by Nicolas Vivien.

SEE ALSO

http://www.netdirect.ca/software/packages/barry